For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • POSTPersonal Sign
      • POSTSign Typed Data
      • POSTSign Typed Data With Lookup
      • GETGet EIP191 Personal Signatures by Project
      • GETGet EIP191 Personal Signature by ID
      • GETGet EIP712 Typed Data Signatures by Project
      • GETGET EIP712 Typed Data Signature by ID
LogoLogo
Contact usDashboard
APISignatures

GET EIP712 Typed Data Signature by ID

GET
https://api.syndicate.io/wallet/project/:projectId/signature/:signatureId
GET
/wallet/project/:projectId/signature/:signatureId
$curl https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signature/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>"
1{
2 "signatureId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "walletAddress": "walletAddress",
5 "domain": {
6 "chainId": 1,
7 "name": "name",
8 "version": "version",
9 "verifyingContract": "verifyingContract",
10 "salt": "salt"
11 },
12 "types": {
13 "types": [
14 {
15 "name": "name",
16 "type": "type"
17 }
18 ]
19 },
20 "message": {
21 "message": {
22 "key": "value"
23 }
24 },
25 "primaryType": "primaryType",
26 "signature": "signature",
27 "createdAt": "2024-01-15T09:30:00Z",
28 "lookups": [
29 {
30 "chainId": 1,
31 "contractAddress": "contractAddress",
32 "functionSignature": "functionSignature",
33 "type": "contract",
34 "args": {
35 "args": {
36 "key": "value"
37 }
38 }
39 }
40 ]
41}
Get a typed data signature by ID
Was this page helpful?
Previous

Get Transaction Request by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired
signatureIdUUIDRequired

Response

This endpoint returns an object.
signatureIdUUID
projectIdUUID
walletAddressstring
domainobject
typesmap from strings to sets of objects
messagemap from strings to any
primaryTypestring
signaturestring
createdAtdatetime
lookupsset of objects

Errors

400
Signature Not Found Error